<?php

$class = 'dropcap-color';

if ($style == 'dropcap-color') {
    $class = 'dropcap-color';
} elseif ($style == 'dropcap-grey') {
    $class = 'dropcap-grey';
}

$dropcap_styles = 'style="';

if (!empty($color)) {
    $dropcap_styles.="color: " . $color . ";";
}
if (!empty($font_size)) {
    $dropcap_styles.="font-size: " . $font_size . "px;";
}
$dropcap_styles.='"';

echo '<span ' . $dropcap_styles . ' class="dropcap ' . $class . '">' . $content . '</span>';


